local UIbox = love.graphics.newImage("/sprites/UIbox.png")
local newbest=false



function newGameState(x)
    if x == "Menu" then
        GameState = "Menu"
        newbest=false
        score = 0
        coinsCollected = 0
        scoretimer = 0
    elseif x == "Play" then
        GameState = "Play"
    elseif x == "Death" then
        GameState = "Death"
        Player.x = 300
        Player.y = 500
        if score > bestscore then
            newbest=true
            local sound=true
            TEsound.play("/sounds/applause.wav", "static")
            sound=false
            bestscore = score
            coins = coinsCollected
            saveScore()
        end
    end
end

function MenusDraw()
    if GameState == "Menu" then
        love.graphics.draw(UIbox, 960, 500, nil, 2,nil, 300, 200)
        love.graphics.print("Tap to play!", 750, 200)
        love.graphics.print("Jump: left click", 500, 300, nil, 0.5)
        love.graphics.print("Slowfall: hold right click", 500, 350, nil, 0.5)
        love.graphics.print("Avoid these:", 500, 450, nil, 0.5)
        love.graphics.draw(birds.sprite1, 850, 450, nil, nil, nil, 100, 50)
        love.graphics.draw(redbird.sprite, 1050, 450, nil, nil, nil, 100, 50)
        love.graphics.print("Collect these:", 500, 550, nil, 0.5)
        love.graphics.draw(coin.sprite1, 750, 560, nil, nil, nil, 24.5, 24.5)
        love.graphics.print("Your best score:", 700, 650)
        love.graphics.print("Seconds: "..bestscore, 500, 750, nil,0.5)
        love.graphics.draw(coin.sprite1, 550, 830, nil, nil, nil,24.5, 24.5)
        love.graphics.print("x"..coins, 600, 810, nil, 0.5)
        love.graphics.print("(press F5 to erase save)", 1200, 850, nil, 0.4)
    end

    if GameState == "Death" then
        love.graphics.draw(UIbox, 960, 500, nil, 2,nil, 300, 200)
        love.graphics.print("Your score on this run:", 550, 200)
        love.graphics.print("Seconds: "..score, 500, 300, nil, 0.5)
        love.graphics.draw(coin.sprite1, 550, 400, nil, nil, nil, 24.5, 24.5)
        love.graphics.print("x"..coinsCollected, 600, 390, nil, 0.5)
            if newbest==true then
                love.graphics.print("New best!", 500, 600, 25, twinkle*2)
            end
    end
end
