ground={}
ground.sprite = love.graphics.newImage("/sprites/backgrounds/ground.png")

function ground.update(dt)
    for i,v in ipairs(ground) do
        v.x = v.x - v.speed * dt
            if Xrange(v.x, -1920, 0, v.speed*dt)  then
                v.x = 1920
            end
    end
end

function ground.draw()
    for i,v in ipairs(ground) do
        love.graphics.draw(ground.sprite, v.x, v.y)
    end
end

function ground.spawn(x,speed)
    table.insert(ground, {x=x, speed=speed})
end