sky={}
sky.sprite = love.graphics.newImage("/sprites/backgrounds/sky.png")

function sky.update(dt)
    for i,v in ipairs(sky) do
        v.x = v.x - v.speed * dt
            if Xrange(v.x, -1920, 0, v.speed*dt) then
                v.x = 1920-2
            end
    end
end

function sky.draw()
    for i,v in ipairs(sky) do
        love.graphics.draw(sky.sprite, v.x, v.y)
    end
end

function sky.spawn(x,speed)
    table.insert(sky, {x=x, speed=speed})
end