birds={}
birds.sprite1 = love.graphics.newImage("/sprites/bird1.png")
birds.sprite2 = love.graphics.newImage("/sprites/bird2.png")
birds.sprite3 = love.graphics.newImage("/sprites/bird3.png")
local spawntimer = 0
local spawncondition = math.random(2,4)

local posY = 500

function birds.update(dt)

    if GameState == "Play" then
        spawntimer = spawntimer + dt
        posY = math.random(50, 900)
            if spawntimer >= 1/spawncondition then
                birds.spawn(posY)
                spawntimer=0
                spawncondition = math.random(2,4)
            end
    end

    for i,v in ipairs(birds) do
        v.x = v.x - v.speed * dt
        v.animtimer = v.animtimer + dt
        v.soundTimer = v.soundTimer + dt
            if v.soundTimer > v.soundPlay then
                v.soundTimer = 0
                TEsound.play("/sounds/honk.wav","static")
            end

            if v.animtimer > 0.1 then --animation

                v.animtimer = 0
                v.sprite.id=v.sprite.id+1
                if v.sprite.id > 4 then
                    v.sprite.id = 1
                end

                if v.sprite.id == 1 then
                    v.sprite.chosen = v.sprite.a
                elseif v.sprite.id == 2 then
                    v.sprite.chosen = v.sprite.b
                elseif v.sprite.id == 3 then
                    v.sprite.chosen = v.sprite.c
                elseif v.sprite.id == 4 then
                    v.sprite.chosen = v.sprite.d
                end

            end

            

            if v.x < -200 or GameState == "Menu"  then
                table.remove(birds,i)
            end
    end
end

function birds.draw()
    for i,v in ipairs(birds) do
        love.graphics.draw(v.sprite.chosen, v.x, v.y, nil, nil, nil, 100,50)
    end
end

function birds.spawn(y)
    table.insert(birds, {x=2220, y=y, speed=math.random(300,800), soundTimer=0, soundPlay=math.random(5,8),animtimer=0,sprite={a=birds.sprite1, b=birds.sprite2, c=birds.sprite3, d=birds.sprite2,chosen=birds.sprite1, id=0}})
end