decoration={}
decoration.sprite1 = love.graphics.newImage("/sprites/backgrounds/bunny.png")
decoration.sprite2 = love.graphics.newImage("/sprites/backgrounds/cat.png")
decoration.sprite3 = love.graphics.newImage("/sprites/backgrounds/flower.png")
decoration.sprite4 = love.graphics.newImage("/sprites/backgrounds/bush.png")
decoration.sprite5 = love.graphics.newImage("/sprites/backgrounds/bush2.png")

local timer = 0

function decoration.update(dt)

    timer = timer + dt

    if timer >= 3 then
        decoration.spawn(2120, 200)
        timer = 0
    end

    for i,v in ipairs(decoration) do
        v.x = v.x - v.speed * dt
            if v.x <= -200 then
                table.remove(decoration,i)
            end
    end
end

function decoration.draw()
    for i,v in ipairs(decoration) do
        love.graphics.draw(v.sprite, v.x, v.y, nil, nil, nil, 100,50)
    end
end

function decoration.spawn(x,speed)
    table.insert(decoration, {x=x, speed=speed, y=945, sprite=randomsprite()})
end

function randomsprite()
    local x = math.random(1,5)
        if x == 1 then
            return decoration.sprite1
        elseif x == 2 then
            return decoration.sprite2
        elseif x == 3 then
            return decoration.sprite3
        elseif x == 4 then
            return decoration.sprite4
        else
            return decoration.sprite5
        end
end