Player={}
Player.x = 300
Player.y = 500
Player.vel = 0
Player.gravity = 9
Player.jumpforce = 9

Player.sprites={}
Player.sprites.idle = love.graphics.newImage("/sprites/1.png")
Player.sprites.up = love.graphics.newImage("/sprites/2.png")
Player.sprites.down = love.graphics.newImage("/sprites/3.png")
local slowfall = false

function Player.update(dt)

    Player.y = Player.y - Player.vel
    

    if Player.vel >= -Player.gravity and slowfall == false then
        Player.vel = Player.vel - Player.gravity * dt * 4 --gravity
    end
    if Player.vel >= -Player.gravity/2 and slowfall == true then
        Player.vel = Player.vel - (Player.gravity * dt * 4)/2 --gravity
    end

    if Player.y > 920 then
        Jump(Player.jumpforce)
    end

    if love.mouse.isDown(2) then
        slowfall=true
        if Player.vel < -4.5 then
            Player.vel = -4.5
        end
    else
        slowfall=false
    end
    if not(Player.y > 0) then
        slowfall=false
    end

    for i,v in ipairs(birds)do
        if CheckCollision(Player.x, Player.y, 42, 65.5, v.x, v.y, 200, 100) and Player.x < v.x then
            TEsound.play("/sounds/pop.wav","static")
            newGameState("Death")
        end
    end

    if CheckCollision(Player.x, Player.y, 82, 131, redbird.x, redbird.y, 200, 100) then
        TEsound.play("/sounds/pop.wav","static")
        newGameState("Death")
    end
end

function Player.draw()
    if Player.vel >= 5 then
        love.graphics.draw(Player.sprites.up, Player.x, Player.y, nil, nil, nil, 42, 65.5)
    elseif Player.vel >= -4 and Player.vel < 5 or Player.vel < 5 and slowfall == true then
        love.graphics.draw(Player.sprites.idle, Player.x, Player.y, nil, nil, nil, 42, 65.5)
    elseif Player.vel < -4 and slowfall == false then
        love.graphics.draw(Player.sprites.down, Player.x, Player.y, nil, nil, nil, 39, 67.5)
    end
end

function Jump(vel) --jump function
    Player.vel = vel
    TEsound.play("/sounds/jump.wav", "static")
end