redbird={}
redbird.x=2120
redbird.y=math.random(50,900)
redbird.speed=2500
redbird.spawntimer=math.random(15,25)
redbird.sprite=love.graphics.newImage("/sprites/red_bird.png")
local timer=0
local soundPlay=true
local trainPlay=true
local warning=false
twinkle=0
local backNforth=true

function redbird.update(dt)
    if GameState == "Play" then
        timer = timer + dt

            if timer >= redbird.spawntimer-5 and timer <= redbird.spawntimer then
                warning()
                warningG=true
            else
                warningG=false
            end

            if timer >= redbird.spawntimer then
                if trainPlay==true then TEsound.play("/sounds/train.wav","static") end
                trainPlay=false
                redbird.x = redbird.x - redbird.speed * dt

                if redbird.x < -200 then
                    redbird.x=2120
                    redbird.y=math.random(50,900)
                    redbird.spawntimer=math.random(15,25)
                    timer=0
                    soundPlay=true
                    trainPlay=true
                end
            end
    end

    if GameState == "Menu" or GameState == "Death" then
        redbird.x=2120
        redbird.y=math.random(50,900)
        redbird.spawntimer=math.random(15,20)
        timer=0
        soundPlay=true
        trainPlay=true
    end

    --fluctuates twinkle from 0.25 to 0.5 back and forth smoothly
    if backNforth==true then
        twinkle=twinkle+dt/2
            if twinkle > 0.5 then
                backNforth=false
            end
    else
        twinkle=twinkle-dt/2
            if twinkle < 0.25 then
                backNforth=true
            end
    end
end

function redbird.draw()
    if GameState == "Play" then
        love.graphics.draw(redbird.sprite, redbird.x, redbird.y, nil, nil, nil, 100, 50)
        if warningG==true then
            love.graphics.setColor(1,0,0,twinkle)
            love.graphics.rectangle("fill", 0, redbird.y-100, 2000, 250)
            love.graphics.setColor(1,1,1,twinkle+0.5)
            love.graphics.print("!", 900, redbird.y-10, nil, 1.2)
            love.graphics.setColor(1,1,1)
        end
    end
end

function warning()
    if soundPlay == true then TEsound.play("/sounds/signal.wav","static") end
    soundPlay=false
end